<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/drawer"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            android:id="@+id/view"
            android:layout_width="wrap_content"
            android:layout_height="0dp" />


        <RelativeLayout
            android:id="@+id/banner_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.youth.banner.Banner
                android:id="@+id/banner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/recommend_top_banner_img" />

            <RelativeLayout
                android:id="@+id/banner_btn"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_below="@+id/banner"
                android:layout_marginTop="-24dp">

                <LinearLayout
                    android:id="@+id/indicator_layout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/banner_indicator_one_bg"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/indicator_img"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_marginStart="16dp"
                        android:src="@mipmap/top_banner_one_img" />

                    <TextView
                        android:id="@+id/indicator_txt"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginStart="8dp"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:text="@string/recommend"
                        android:textColor="@color/black"
                        android:textSize="16dp"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:id="@+id/indicator_go_bg"
                        android:layout_width="wrap_content"
                        android:layout_height="26dp"
                        android:layout_marginEnd="16dp"
                        android:background="@drawable/draw_go_bg">

                        <TextView
                            android:id="@+id/indicator_go_txt"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:paddingStart="12dp"
                            android:paddingEnd="12dp"
                            android:text="@string/go"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="4dp"
                    android:layout_alignParentBottom="true"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/indicator_line_one_bg"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginEnd="2dp"
                        android:layout_weight="1"
                        android:background="#7863F9" />

                    <TextView
                        android:id="@+id/indicator_line_tow_bg"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginStart="2dp"
                        android:layout_weight="1"
                        android:background="#1A000000" />

                </LinearLayout>
            </RelativeLayout>
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/banner_layout"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/loading_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="gone">

                <org.libpag.PAGView
                    android:id="@+id/pag_view"
                    android:layout_width="88dp"
                    android:layout_height="100dp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="loading"
                    android:textColor="#999999"
                    android:textSize="14sp" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/no_data_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:visibility="gone">

                <TextView
                    android:id="@+id/try_again"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Load error,try again!"
                    android:textColor="@color/black"
                    android:textSize="20dp"
                    android:textStyle="italic" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:listitem="@layout/main_rv_item" />
        </LinearLayout>

    </RelativeLayout>

</LinearLayout>